Advanced search  

News:

CPG Release 1.6.26
Correct PHP8.2 issues with user and language managers.
Additional fixes for PHP 8.2
Correct PHP8 error with SMF 2.0 bridge.
Correct IPTC supplimental category parsing.
Download and info HERE

Pages: [1]   Go Down

Author Topic: [Solved]: Plugins for 1.3.4... exist?  (Read 4552 times)

0 Members and 1 Guest are viewing this topic.

LFox

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 42
[Solved]: Plugins for 1.3.4... exist?
« on: April 16, 2008, 05:49:04 pm »

Where can I download plugins for 1.3.4 ?
« Last Edit: April 17, 2008, 07:50:34 am by Joachim Müller »
Logged

Nibbler

  • Guest
Re: Plugins for 1.3.4... exist?
« Reply #1 on: April 16, 2008, 05:54:36 pm »

You can't. Update your gallery.
Logged

LFox

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 42
Re: Plugins for 1.3.4... exist?
« Reply #2 on: April 16, 2008, 06:10:31 pm »

If I could...((( The reason is in modifications which I did at many files of gallery, and now I do not know how I can upgrade it, without the loss of this modifications...
Logged

tfischer

  • Coppermine regular visitor
  • **
  • Offline Offline
  • Posts: 75
    • Fischersplace Photo Gallery
Re: Plugins for 1.3.4... exist?
« Reply #3 on: April 16, 2008, 07:09:39 pm »

If I could...((( The reason is in modifications which I did at many files of gallery, and now I do not know how I can upgrade it, without the loss of this modifications...

Take a look at the many "gallery was hacked" threads and decide if it's worth it to you to upgrade.  The version you are running has MANY known security holes in it.  If you don't upgrade it's only a matter of time...

If I were in your shoes, I would save off a copy of my modded gallery.  I would then upgrade to the current version (currently 1.4.18).  Then I'd use a diff engine to compare my modded version of 1.3.4 to the base 1.3.4.  Then I'd integrate these mods into 1.4.18 (this might not be as simple as just copying over the code, since things in the base code may well have changed significantly).

Might take a little time, but isn't it worth it to keep your gallery online and safe?

-Tim
Logged

Joachim Müller

  • Dev Team member
  • Coppermine addict
  • ****
  • Offline Offline
  • Gender: Male
  • Posts: 47843
  • aka "GauGau"
    • gaugau.de
Re: Plugins for 1.3.4... exist?
« Reply #4 on: April 16, 2008, 07:43:55 pm »

cpg1.3.x didn't come with a plugin API, so the initial question is invalid. You're not allowed to ask cpg1.3.x-related stuff here. Support for that version has run out long ago. As suggested: there is no alternative to upgrading!
Logged

LFox

  • Coppermine novice
  • *
  • Offline Offline
  • Posts: 42
Re: Plugins for 1.3.4... exist?
« Reply #5 on: April 16, 2008, 09:00:16 pm »

I'll think about this... thanks for advices!
Logged
Pages: [1]   Go Up
 

Page created in 0.018 seconds with 20 queries.